//
//  HWMExtensionDefine.h
//  HWMExtension
//
//

#ifndef HWMExtensionDefine_h
#define HWMExtensionDefine_h

typedef enum : NSUInteger {
    HWM_EXTENSION_STATE_STOP,
    HWM_EXTENSION_STATE_START,
} HWM_EXTENSION_STATE;

static inline void hwm_dispatch_async_main_queue(dispatch_block_t block) {
    if ([NSThread isMainThread]) {
        block();
    } else {
        dispatch_async(dispatch_get_main_queue(), block);
    }
}

#endif /* HWMExtensionDefine_h */
